### Function

# GcrUi Renderer register

#### Declaration [src]

    void
    gcr_renderer_register (
      GType renderer_type,
      GckAttributes* attrs
    )

#### Description [src]

Register a renderer to be created when matching attributes are passed to gcr_renderer_create().

#### Parameters

`renderer_type`

  Type: `GType`

  The renderer class type.

`attrs`

  Type: `GckAttributes`

  The attributes to match.

  The data is owned by the caller of the function.